package sql

import "gorm.io/gorm"

type RecordUserDiamond struct {
	gorm.Model
	UserID      uint       `gorm:"not null;comment:用户标识"`
	User        RecordUser `gorm:"foreignKey:UserID`
	FormDiamond int64
	Diamond     int64
	ToDiamond   int64
	Reason      string `gorm:"not null`
}

func (r *RecordUserDiamond) TableName() string {
	return tableName("record_user_diamond")
}
