package config

var (
	_metaConfig *MetaConfig
)

type MetaConfig struct {
	ServerDebug      bool   `yaml:"server-debug,omitempty"`
	StaticDir        string `yaml:"static-dir,omitempty"`
	PassPortCheckUrl string `yaml:"pass-port-check-url,omitempty"`
}

func InitMeta(path string) {
	var config MetaConfig
	readConfig(path, &config)
	_metaConfig = &config
}

func GetMetaConfig() MetaConfig {
	return *_metaConfig
}
